Skip to main content
POST
/
libraries
/
{libraryId}
/
uploads
/
s3
/
multipart
Initialize Multipart Upload
curl --request POST \
  --url https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/uploads/s3/multipart \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "filename": "demo_reel.mp4",
  "type": "video/mp4",
  "metadata": {
    "libraryId": "lib_123",
    "folderId": "fold_456",
    "source": "dashboard",
    "tags": [
      "launch",
      "promo"
    ]
  }
}
'
import requests

url = "https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/uploads/s3/multipart"

payload = {
"filename": "demo_reel.mp4",
"type": "video/mp4",
"metadata": {
"libraryId": "lib_123",
"folderId": "fold_456",
"source": "dashboard",
"tags": ["launch", "promo"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filename: 'demo_reel.mp4',
type: 'video/mp4',
metadata: {
libraryId: 'lib_123',
folderId: 'fold_456',
source: 'dashboard',
tags: ['launch', 'promo']
}
})
};

fetch('https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/uploads/s3/multipart', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/uploads/s3/multipart"

payload := strings.NewReader("{\n \"filename\": \"demo_reel.mp4\",\n \"type\": \"video/mp4\",\n \"metadata\": {\n \"libraryId\": \"lib_123\",\n \"folderId\": \"fold_456\",\n \"source\": \"dashboard\",\n \"tags\": [\n \"launch\",\n \"promo\"\n ]\n }\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
require 'uri'
require 'net/http'

url = URI("https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/uploads/s3/multipart")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filename\": \"demo_reel.mp4\",\n \"type\": \"video/mp4\",\n \"metadata\": {\n \"libraryId\": \"lib_123\",\n \"folderId\": \"fold_456\",\n \"source\": \"dashboard\",\n \"tags\": [\n \"launch\",\n \"promo\"\n ]\n }\n}"

response = http.request(request)
puts response.read_body
HttpResponse<String> response = Unirest.post("https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/uploads/s3/multipart")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"filename\": \"demo_reel.mp4\",\n \"type\": \"video/mp4\",\n \"metadata\": {\n \"libraryId\": \"lib_123\",\n \"folderId\": \"fold_456\",\n \"source\": \"dashboard\",\n \"tags\": [\n \"launch\",\n \"promo\"\n ]\n }\n}")
.asString();
using RestSharp;


var options = new RestClientOptions("https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/uploads/s3/multipart");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"filename\": \"demo_reel.mp4\",\n \"type\": \"video/mp4\",\n \"metadata\": {\n \"libraryId\": \"lib_123\",\n \"folderId\": \"fold_456\",\n \"source\": \"dashboard\",\n \"tags\": [\n \"launch\",\n \"promo\"\n ]\n }\n}", false);
var response = await client.PostAsync(request);

Console.WriteLine("{0}", response.Content);
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/uploads/s3/multipart",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filename' => 'demo_reel.mp4',
'type' => 'video/mp4',
'metadata' => [
'libraryId' => 'lib_123',
'folderId' => 'fold_456',
'source' => 'dashboard',
'tags' => [
'launch',
'promo'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
{}
{
"message": "Invalid Request",
"success": false
}
{
"code": "auth_type_not_found",
"message": "Could not determine authentication type from request. Please provide a valid Authorization header or X-API-Key header.",
"success": false
}
{
"message": "Resource not found",
"success": false
}
{
"message": "Invalid Request",
"errors": [
{
"field": "field_name",
"code": "validation_required",
"message": "This field is required"
}
],
"success": false
}
{
"message": "Internal server error",
"success": false
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

libraryId
string
required

Unique identifier of the library.

Body

application/json
filename
string
required

The original name of the file being uploaded, including its extension (e.g., 'video.mp4').

type
string
required

MIME type of the file (e.g., 'video/mp4', 'image/jpeg'). Used to validate and assign proper upload handling.

metadata
object
required

Additional metadata to associate the uploaded file with a specific library, folder, or tagging context.

Response

The response is of type object.